Subject: Re: Residential Speeders--Grrrrr....

From: [email-masked] (Joe Senner)
Date: 24 Dec 1994 23:14:30 -0600

In <[email-masked]>, [email-masked] (Roberta Becker) writes:
>So I'm wondering: other than flipping these people off, what can I
>do about this? Can I lobby to get a speed bump put in? Will calling
>the cops help at all? Has anyone out there ever dealt with this 
>problem successfully? I need to do something before I start tossing
>rocks at miscreant vehicles :-|

forget the speed bump, don't punish everyone (including yourself) to slow
someone down. pick up that phone and use it. you'll need to be able to
positively identify the driver, get a GOOD look at his face. let your
fingers do the bumping...